package shop.alien.store.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import shop.alien.entity.result.R;
import shop.alien.entity.store.StorePlatformMenu;
import shop.alien.entity.store.vo.StorePlatformMenuVo;

public interface StorePlatformMenuService {
    /**
     * 分页查询
     * @param page
     * @param size
     * @param menuName
     * @return
     */
    IPage<StorePlatformMenuVo> getMenuPage(int page, int size, String menuName);

    /**
     * 编辑菜单ID
     * @param storePlatformMenu
     * @return
     */
    R<StorePlatformMenu> getByMenuId(StorePlatformMenu storePlatformMenu);

    /**
     *  删除
     * @param storePlatformMenu
     * @return
     */

    R<StorePlatformMenu> deleteMenuDetails(StorePlatformMenu storePlatformMenu);



    R<StorePlatformMenu> editUpdateMenuStatus(Long menuId,String status,Integer level);

    R<StorePlatformMenu> addByMenu(StorePlatformMenu store);
}
